## 示例
```
    <el-table-column
      fixed="right"
      label="操作"
    >
      <template slot-scope="scope">
       <dm-dropdown :scope-data="scope.row" :configs="btnArr" @command="onCommand"/>
      </template>
    </el-table-column>
    export default {
  name: 'btn',
  data() {
    return {
      dropdownAttr: {
        // splitButton: true
      },
      btnArr: [
        {
          text: '查看',
          visible: (row)=>row.status === 2, // 不写visible属性默认为true
          handler: (row) =>{
            console.log(row)
            console.log('查看')
          },
        },
        {
          text: '编辑',
          handler: (row) =>{
            console.log(row)
            console.log('编辑')
          },
        },
        {
          text: '删除',
          handler: (row) =>{
            console.log(row)
            console.log('删除')
          }
        },
        {
          text: '复制',
          handler: (row) =>{
            console.log(row)
            console.log('复制')
          },
        },
        {
          text: '禁用',
          handler: (row) =>{
            console.log(row)
            console.log('禁用')
          },
        }
      ],
    }
  },
  methods: {
    onCommand(item) {
      console.log(item)
    },
  }
}
```

### props
|  参数 |  说明  | 类型  |  可选值 | 默认值  | 是否必传  |
| ------------ | ------------ | ------------ | ------------ | ------------ | ------------ |
| scopeData | - | Object | -- | -- | 否 |
| configs | 按钮数组 | Array | [{text:string(必传), visible: boolean \| function, handler: function,props:按钮属性配置(非必传)}] | -- | 是 |
| dropdownProps | el-dropDown的属性 | Object | -- | -- | 否 |
| max | 最多展示几个按钮 | String/Number | -- | 3 | 否 |


#### events
| 事件名称  | 说明  | 参数  |
| ------------ | ------------ | ------------ |
| command | 按钮触发事件  | {config, data}  |


### 更新日志：
- v1.0.0 cr by 黄冷<br>
