export default {
  path: 'ai',
  name: 'ai营销',
  component: () => import('../../views/ai/index.vue'),
  meta: {},
  redirect: 'ai/list',
  children: [
    {
      path: 'list',
      name: '列表',
      component: () => import('../../views/ai/list.vue'),
      meta: {
        keepAlive: true
      }
    },
    {
      path: 'add/:scene',
      name: '新增活动详情',
      component: () => import('../../views/ai/task/form.vue'),
      meta: {
        type: 'add'
      }
    },
    {
      path: 'edit/:id',
      name: '编辑活动详情',
      component: () => import('../../views/ai/task/form.vue'),
      meta: {
        type: 'edit'
      }
    },
    {
      path: 'info/:id',
      name: '活动详情',
      component: () => import('../../views/ai/task/info.vue'),
      meta: {
        type: 'info'
      }
    },
    {
      path: 'copy/:id',
      name: '复制活动',
      component: () => import('../../views/ai/task/form.vue'),
      meta: {
        type: 'copy'
      }
    },
    {
      path: 'logs/:id',
      name: '提交日志',
      component: () => import('../../views/ai/logs.vue')
    },
    {
      path: 'ai-data-report/:id',
      name: '数据统计',
      component: () => import('../../views/ai/ai-data-report.vue')
    },
    {
      path: 'ai-data-detail/:id',
      name: '详情',
      component: () => import('../../views/ai/ai-data-index.vue')
    }
  ]
};
