export default {
  path: 'card',
  name: '卡券营销',
  component: () => import(/* webpackChunkName: "card" */ '../../views/card/index.vue'),
  meta: {},
  redirect: 'card/list',
  children: [
    {
      path: 'list',
      name: '卡券库',
      component: () => import(/* webpackChunkName: "card" */ '../../views/card/list.vue'),
      meta: {
        path: '/card/list',
        keepAlive: true
      }
    },
    {
      path: 'connect-list',
      name: '卡券关联列表',
      component: () => import(/* webpackChunName: "card" */ '../../views/card/card-connect-list.vue')
    },
    {
      path: 'async-logs',
      name: '卡券同步错误日志',
      component: () => import(/* webpackChunkName: "card" */ '../../views/card/card-async-logs.vue')
    },
    {
      path: 'record',
      name: '卡券记录',
      component: () => import(/* webpackChunkName: "card" */ '../../views/card/record.vue'),
      meta: {},
      redirect: 'record/send',
      children: [
        {
          path: 'get',
          name: '领取记录',
          component: () => import(/* webpackChunkName: "card" */ '../../views/card/record-get.vue'),
          meta: {
            path: '/card/record/get'
          }
        },
        {
          path: 'give',
          name: '转赠记录',
          component: () => import(/* webpackChunkName: "card" */ '../../views/card/give-list.vue'),
          meta: {}
        },
        {
          path: 'send',
          name: '投放记录',
          component: () => import(/* webpackChunkName: "card" */ '../../views/card/record-send.vue'),
          meta: {}
        },
        {
          path: 'sendInfo/:id',
          name: '投放记录详情',
          component: () => import(/* webpackChunkName: "card" */ '../../views/card/record-send-info.vue'),
          meta: {
            type: 'send',
            path: '/card/record/send'
          }
        },
        {
          path: 'cache',
          name: '临时领取记录',
          component: () => import(/* webpackChunkName: "card" */ '../../views/card/record-cache.vue'),
          meta: {}
        },
        {
          path: 'refund',
          name: '退券记录',
          component: () => import(/* webpackChunkName: "card" */ '../../views/card/refund.vue'),
          meta: {}
        },
        {
          path: 'refund-list',
          name: '退券记录',
          component: () => import(/* webpackChunkName: "card" */ '../../views/card/refund-list.vue'),
          meta: {}
        },
        {
          path: 'recycle-record-detail',
          name: '卡券积分回收明细',
          component: () => import(/* webpackChunkName: "card" */ '../../views/card/recycle-record-detail.vue'),
          meta: {}
        }
      ]
    },
    {
      path: 'merge',
      name: '卡券包',
      component: () => import(/* webpackChunkName: "card" */ '../../views/card/merge.vue'),
      meta: {},
      redirect: 'merge/list',
      children: [
        {
          path: 'list',
          name: '卡券包列表',
          component: () => import(/* webpackChunkName: "card" */ '../../views/card/merge-list.vue'),
          meta: {
            path: '/card/merge/list'
          }
        },
        {
          path: 'record-list',
          name: '卡券包领取记录',
          component: () => import(/* webpackChunkName: "card" */ '../../views/card/merge-record-list.vue'),
          meta: {
            path: '/card/merge/record-list'
          }
        },
        {
          path: 'add',
          name: '新建卡券包',
          component: () => import(/* webpackChunkName: "card" */ '../../views/card/merge-form.vue'),
          meta: {
            path: '/card/merge/list',
            type: 'add'
          }
        },
        {
          path: 'edit/:id',
          name: '编辑卡券包',
          component: () => import(/* webpackChunkName: "card" */ '../../views/card/merge-form.vue'),
          meta: {
            path: '/card/merge/list',
            type: 'edit'
          }
        },
        {
          path: 'info/:id',
          name: '查看卡券包',
          component: () => import(/* webpackChunkName: "card" */ '../../views/card/merge-form.vue'),
          meta: {
            path: '/card/merge/list',
            type: 'info'
          }
        }
      ]
    },
    {
      path: 'groupsend',
      name: '新建卡券群发',
      component: () => import(/* webpackChunkName: "card" */ '../../views/card/group-send.vue'),
      meta: {
        type: 'add'
      }
    },
    {
      path: 'groupsend/:id',
      name: '卡券群发',
      component: () => import(/* webpackChunkName: "card" */ '../../views/card/group-send.vue'),
      meta: {
        type: 'edit',
        path: '/card/record/send'
      }
    },
    {
      path: 'addgroupsend/:id',
      name: '卡券投放',
      component: () => import(/* webpackChunkName: "card" */ '../../views/card/group-send.vue'),
      meta: {
        type: 'send',
        path: '/card/list'
      }
    },
    {
      path: 'groupinfo/:id',
      name: '卡券群发详情',
      component: () => import(/* webpackChunkName: "card" */ '../../views/card/group-send.vue'),
      meta: {
        type: 'info',
        path: '/card/record/send'
      }
    },
    {
      path: 'edit/:id',
      name: '卡券编辑',
      component: () => import(/* webpackChunkName: "card" */ '../../views/card/form.vue'),
      meta: {
        type: 'edit',
        path: '/card/list'
      }
    },
    {
      path: 'info/:id',
      name: '卡券详情',
      component: () => import(/* webpackChunkName: "card" */ '../../views/card/form.vue'),
      meta: {
        type: 'info',
        path: '/card/list'
      }
    },
    {
      path: 'copy/:id',
      name: '卡券复制',
      component: () => import(/* webpackChunkName: "card" */ '../../views/card/form.vue'),
      meta: {
        type: 'copy',
        path: '/card/list'
      }
    },
    {
      path: 'add',
      name: '新增卡券',
      component: () => import(/* webpackChunkName: "card" */ '../../views/card/form.vue'),
      meta: {
        type: 'add',
        path: '/card/list'
      }
    },
    {
      path: 'analysis/:id',
      name: '卡券报表',
      component: () => import(/* webpackChunkName: "card" */ '../../views/card/analysis.vue'),
      meta: {
        path: '/card/list'
      }
    },
    {
      path: 'shelfanalysis/:id',
      name: '卡券展架报表',
      component: () => import(/* webpackChunkName: "card" */ '../../views/card/analysis-shelf.vue'),
      meta: {
        type: 'shelf',
        path: '/card/shelf'
      }
    },
    {
      path: 'shelf',
      name: '卡券展架',
      component: () => import(/* webpackChunkName: "card" */ '../../views/card/shelf.vue'),
      meta: {
        path: '/card/shelf'
      }
    },
    {
      path: 'shelf/:id',
      name: '卡券管理',
      component: () => import(/* webpackChunkName: "card" */ '../../views/card/manager.vue'),
      meta: {
        path: '/card/shelf'
      }
    },
    {
      path: 'check',
      name: '核销纠错',
      component: () => import(/* webpackChunkName: "card" */ '../../views/card/check.vue'),
      meta: {
        path: '/card/check'
      }
    },
    {
      path: 'destroy',
      name: '卡券销毁',
      component: () => import(/* webpackChunkName: "card" */ '../../views/card/destroy-list.vue'),
      meta: {
        path: '/card/destroy'
      }
    }
  ]
};
